#!/bin/bash
############################################################################
#
# Run hashvec.pl on everything in files/, produce final sort order.
#
# $Id: doHashVecs.sh,v 1.4 2005/03/01 21:07:06 devel Exp $
#
#############################################################################
#
#    Copyright 2005 Charles Shapiro 
#    This file is part of the Fraudulator.
#
#    The Fraudulator is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    The Fraudulator is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with the Fraudulator; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#############################################################################
INTERFILE=./hashes.tmp
OUTFILE="../vectors.list"
BASEHASH="../hash10-300.txt"

if [ $# -gt 0 ]
then
    BASEHASH=$1
fi

if [ $# -gt 1 ]
then
    OUTFILE=$2
fi

if [ -f ${INTERFILE} ]
then
    rm ${INTERFILE}
fi
for ii in ../files/*
do
    hashVecLib.pl -h $BASEHASH -i $ii >> ${INTERFILE}
done
# sort < ${INTERFILE} | awk '{print $2}' | tee $OUTFILE
sort < ${INTERFILE} > $OUTFILE
