#!/bin/bash
###############################################################################
#
# Test that the vector is valid. 
#
# $Id: vector_valid_test.sh,v 1.1 2005/03/01 17:02:53 devel Exp $
#
##############################################################################
SORTED_HASH="./hashtmp.txt"
HASHFILE="../hash10-300.txt"
MAILFILE="./mail.2273"
VECFILE="./mail.2273.vec"
VECLINES="mail.2273.vec.lines"
OUTFILE="./testvec.txt"
#
# Main Line
#
./hashVecLib.pl -i $MAILFILE -h $HASHFILE > $VECFILE
sort +1 < $HASHFILE > ${SORTED_HASH}
cat $VECFILE | awk '{print $1}' | tr '-' '\n' > $VECLINES
paste $SORTED_HASH $VECLINES > $OUTFILE
for WORD in `awk '/[^0]$/{print $2}' < $OUTFILE`
do
    if ! grep -i $WORD $MAILFILE > /dev/null
    then
	echo $WORD
    fi
done

for WORD in `awk '/0$/{print $2}' < $OUTFILE`
do
    grep -i " $WORD " ${MAILFILE}
done
echo This test should produce no output except this line.

